# Method: customers.configurations.create

- [HTTP request](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations/create#body.request_body)
- [Response body](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations/create#body.response_body)
- [Authorization Scopes](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations/create#body.aspect)

Creates a new configuration. Once created, a customer can apply the configuration to devices.

### HTTP request

`POST https://androiddeviceprovisioning.googleapis.com/v1/{parent=customers/*}/configurations`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The customer that manages the configuration. An API resource name in the format `customers/[CUSTOMER_ID]`. |

### Request body

The request body contains an instance of `https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations#Configuration`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations#Configuration`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidworkzerotouchemm`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).